Subject: bug#64218: closed (Re: bug#64218: Acknowledgement ([PATCH 0/7] build ldc with llvm-15))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Dec 2023 09:22:02 +0000

Your bug report

#64218: [PATCH 0/7] build ldc with llvm-15

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64218: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64218
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64218: Acknowledgement ([PATCH 0/7] build ldc with llvm-15)
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Sun, 3 Dec 2023 11:21:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've applied some of the patches in this series but not the one
upgrading the version of llvm used to build ldc.  I'm still not happy
with the number of tests which need to be skipped to make it pass on
some architectures.

Closing this patch series, feel free to open a new one when adjusting
ldc at at later date.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/7] build ldc with llvm-15
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Thu, 22 Jun 2023 12:17:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

A series of patches to build ldc with llvm-15. llvm-15 doesn't build on
i686 and I wasn't able to skip the 'make-dynamic-linker-cache phase
without also skipping it on llvm-for-mesa. ldc builds on powerpc64le
with this patch, but still not yet on riscv64.

Efraim Flashner (7):
  gnu: python-lit: Update to 16.0.6.
  gnu: clang-runtime-15: Don't delete static libraries.
  gnu: clang-15: Fix building on i686-linux.
  gnu: lld-15: Adjust max text section size on riscv64-linux.
  gnu: ldc: Build with llvm-15.
  gnu: ldc: Enable building on more architectures.
  gnu: sambamba: Fix building.

 gnu/packages/bioinformatics.scm |  8 +---
 gnu/packages/check.scm          |  6 +--
 gnu/packages/dlang.scm          | 83 ++++++++++++++++++++++-----------
 gnu/packages/llvm.scm           | 45 +++++++++++++-----
 4 files changed, 94 insertions(+), 48 deletions(-)

base-commit: 8b6bc4b2aa579193306cdc7a28f788c9afb4e039
-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted